
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef rflex_POSTER_SHOW_LIB_H
#define rflex_POSTER_SHOW_LIB_H

#include "rflexPosterLib.h"

/* Prototypes */
extern STATUS rflexCntrlPosterShow ( void );
extern STATUS rflexCntrlPosterActivityShow ( void );
extern STATUS rflexRobotPosterShow ( void );
extern STATUS rflexRobotPositionPosterShow ( void );
extern STATUS rflexRobotrawAxisPosterShow ( void );
extern STATUS rflexRobotPosErrorPosterShow ( void );
extern STATUS rflexRobotconfigRefPosterShow ( void );
extern STATUS rflexRobotspeedRefPosterShow ( void );
extern STATUS rflexRobotsystemStatePosterShow ( void );
extern STATUS rflexRobotmiscOdoPosterShow ( void );
extern STATUS rflexMEPosPosterShow ( void );
extern STATUS rflexMEPosPosPosterShow ( void );
extern STATUS rflexSonarsConfigPosterShow ( void );
extern STATUS rflexSonarsConfigConfigPosterShow ( void );
extern STATUS rflexSonarsRhoPosterShow ( void );
extern STATUS rflexSonarsRhoRangePosterShow ( void );
extern STATUS rflexSonarsCartPosterShow ( void );
extern STATUS rflexSonarsCartMeasureInRobotCartPosterShow ( void );
#endif /* RFLEX_POSTER_SHOW_LIB_H */

